(function($, owner) {	
	owner.ajaxDomainUrl = 'https://app.km119net.com/AppApi/';
    owner.adminImageDomainUrl = 'https://app.km119net.com';
    
//  owner.ajaxDomainUrl = 'http://172.16.100.222/AppApi/';
//  owner.adminImageDomainUrl = 'http://172.16.100.222';
    ////cc打包需要用到的appid：H54873FFC
    ////fr打包需要用到的appid：H597F53DD
    ////AppVersion、AppInnerVersion分别与manifest.json内的version{name、code}对应
    owner.AppInfo = {
    	AppName: '消防管家'
    	,AppVersion: '2.2.0'
    	,AppInnerVersion: '190211'
    	,AppId: 'H54873FFC'//cc账号：H54873FFC，fr账号：H597F53DD
    };
//	1:火警信息接口
//	2:故障信息接口
//	3:状态信息接口
//	4:水系统信息接口
//	5:获取消控室接口
//	6:消控室视频显示接口
//	7:可查岗的传输装置列表
//	8:查岗
//	9:查岗数据
//	88:获取机构名称接口
//	99:火警统计接口
    owner.ApiType = {
    	FireInfo: 1
    	,FaultInfo: 2
    	,StatusInfo: 3
    	,WaterSystemInfo: 4
    	,FireRoomList: 5
    	,FireRoomVideo: 6
    	,InspectList: 7
    	,Inspect: 8
    	,InspectDataList: 9
    	,OwnerName: 88
    	,FireStatistics: 99
    };
	owner.indexWebviewId = 'HBuilder';	
	
	/////空Guid
	owner.emptyGuid = '00000000-0000-0000-0000-000000000000';    
    ////是否启用缩略图
    owner.createThumbnail = true;
    ////原图所在文件夹名称
    owner.thumbnailSourceFolder = 'WebFile';
    ////原图对应的缩略图所在文件夹名称
    owner.thumbnailFolder = 'WebFileThumbnail';
    ////图片列表分割符
    owner.imageListSplit = '#^#';
    ////当前设备类型名称
    owner.currentDeviceType = 'Android';
    ////获取当前运行环境
    owner.getRuntime = function () {
        var platform = 'android';
        if ($.os.plus) {
            if ($.os.ios || $.os.iphone || $.os.ipad) { 
            	platform = 'ios'; 
            }
            else if ($.os.android) { 
            	platform = 'android'; 
            }
        } else {
            var ua = navigator.userAgent.toLowerCase();
            if (ua.match(/MicroMessenger/i) !== 'micromessenger' && ua.match(/windows phone/i) !== 'windows phone') { 
            	platform = 'browser'; 
            }
            else { 
            	platform = 'wechat'; 
            }
        } 
        return platform;
    };
    ////生成Guid
    owner.newGuid = function(){
    	var guid = "";
	    for (var i = 1; i <= 32; i++){
	      var n = Math.floor(Math.random()*16.0).toString(16);
	      guid += n;
	      if(i === 8 || i === 12 || i === 16 || i === 20)
	        guid += "-";
	    }
	    return guid;
    };
    ////获取缩略图
    owner.getThumbnail = function(originalImagePath){ 
    	/////根据原图获取缩略图
    	return originalImagePath.replace(new RegExp(owner.thumbnailSourceFolder, 'gi'), owner.thumbnailFolder);
    };
    ////根据运行环境实现页面转场（跳转）
    owner.openWebPage = function (_url, _id, _extras, _isPreload, _webview, _fireEvent, _showType) {
        //app、browser通用打开新窗口方法
        //参数：'search.html', 'search.html', { targetId: '123' }, true, searchPage, 'myEvent', 'slide-in-right'
//      console.log(JSON.stringify(_extras));
        if ($.os.plus){
            //app
//          console.log('app环境下页面转场' + _isPreload);
//          console.log(_url);
//          console.log(_fireEvent);
//          console.log(JSON.stringify(_extras));
            if (_isPreload && _webview !== null) {
                if (!_webview) {
//              	console.log('common.js--webview不存在，打开新页面');
                    $.openWindow({
                        url: _url
                        ,id: _id
                        ,extras: _extras
                        ,createNew: true
                        ,show: { 
                        	autoShow: true
                        	,aniShow: _showType
                        	,duration: owner.getRuntime() === 'ios' ? 300 : 200 
                        }
                        ,waiting: { 
                        	autoShow: true
                        	,title: '努力加载中' 
                        }
                    });
                } else {
//              	console.log('common.js--触发mui.fire');
                    $.fire(_webview, _fireEvent, _extras);
                    setTimeout(function () {
                        _webview.show(_showType, owner.getRuntime() === 'ios' ? 300 : 200);
                    }, 150);
                }
            } else {
//          	console.log('common.js--非预加载或webview为空，打开新页面');
                $.openWindow({
                    url: _url
                    ,id: _id
                    ,extras: _extras
                    ,createNew: true
                    ,show: { 
                    	autoShow: true
                    	,aniShow: _showType
                    	,duration: owner.getRuntime() === 'ios' ? 300 : 200 }
                    ,waiting: { 
                    	autoShow: true
                    	,title: '努力加载中' 
                    }
                });
            }
        }else{
            //browser
            var suffix = [];
            var newUrl = _url;
            Object.prototype.length = function () {
                var count = 0;
                for (var i in this) {
                    count++;
                }
                count--;
                return count;
            };
            if (_extras.length() > 0) {
                for (var k in _extras) {
                    if (k.toLowerCase() === 'length') {
                        continue;
                    }
                    suffix.push(k + '=' + _extras[k]);
                }
                newUrl = newUrl + '?' + suffix.join('&');
            }
            $.openWindow({
                url: newUrl
                ,id: _id
                ,extras: _extras
                ,createNew: true
                ,show: { 
                	autoShow: true
                	,aniShow: _showType
                	,duration: 200 
                }
                ,waiting: { 
                	autoShow: true
                	,title: '努力加载中' 
                }
            });
        }
    };
	////根据key值获取url链接内的各项参数值
	owner.getUrlParam = function(key){
		var reg = new RegExp('(^|&)' + key + '=([^&]*)(&|$)');
		var r = window.location.search.substr(1).match(reg);
		if (r !== null) {
			return unescape(r[2]);
		} else { 
			return null;
		}
	};
	////重构ajax提交前的beforeSend
    owner.beforeSend = function (XHR) {
    	if(user){
	        if (user.localStorageData === null || user.localStorageData === undefined) {
	            user.getLocalStorage();
	        }
	        if (user.getToken() === '') {
	        } else {
				XHR.setRequestHeader('Authorization', 'BasicAuth ' + user.getToken());
	        }
        }
    };
    ////重构ajax提交前的beforeSend，头部加入空header
    owner.beforeSendNull = function (XHR) {

    };
    ////判断链接是否为图片链接
    owner.isImageUrl = function (url) {
    	///通过后缀名简单判断字符串是否为合法图片类型的链接地址
        var imgSuffixList = ['.jpg', '.jpeg', '.gif', '.png', '.bmp', '.webp'];
        if (url.length >= 5) {
            var suffix4 = url.substr(-4).toLowerCase(), suffix5 = url.substr(-5).toLowerCase();
            if (imgSuffixList.indexOf(suffix4) >= 0 || imgSuffixList.indexOf(suffix5) >= 0) {
                return true;
            }
        } else {
            return false;
        }
    };
    ////动态返回ajax请求的Content-Type
    owner.initHeaders = function(ifPost){
    	//console.log(ajaxParam.pageName + ajaxParam.funcName + ifPost);
    	if(ifPost){
    		return {'Content-Type': 'application/json'};
    	}else{
    		return {};
    	}
    };
    owner.getNowFormatDate = function() {
	    var date = new Date();
	    var seperator1 = "-";
	    var seperator2 = ":";
	    var month = date.getMonth() + 1;
	    var strDate = date.getDate();
	    if (month >= 1 && month <= 9) {
	        month = "0" + month;
	    }
	    if (strDate >= 0 && strDate <= 9) {
	        strDate = "0" + strDate;
	    }
	    var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate
	            + " " + date.getHours() + seperator2 + date.getMinutes()
	            + seperator2 + date.getSeconds();
	    return currentdate;
	}
    ///type: 提交方式，默认get
    ///url:
    ///async: 默认true
    ///data:
    ///dataType: 默认json
    ///cache: 默认false
    ///ticket: 默认true
    ///callback: success回调
    owner.ajax = function (ajaxParam, callback) {
    	//console.log(JSON.stringify(ajaxParam.data) );
		if(window.plus && plus.networkinfo.getCurrentType() === plus.networkinfo.CONNECTION_NONE) {
			//后期修改成加载断网动画特效！！！！！！！！！
			plus.nativeUI.toast('网络连接出现错误', {
				verticalAlign: 'top'
			});
			return;
		}
        $.ajax({
            type: ajaxParam.type ? ajaxParam.type : 'get'
            ,url: ajaxParam.url
            ,async: ajaxParam.async === undefined ? true : ajaxParam.async
            ,headers: owner.initHeaders(ajaxParam.type && ajaxParam.type === 'post')
            ,data: ajaxParam.data ? ajaxParam.data : {}
            ,dataType: ajaxParam.dataType ? ajaxParam.dataType : 'json'
            ,cache: ajaxParam.cache === undefined ? false : ajaxParam.cache
            ,beforeSend: ajaxParam.ticket === undefined ? owner.beforeSend : (ajaxParam.ticket ? owner.beforeSend : owner.beforeSendNull)
            ,success: function (returnData, status) {
                callback(returnData, status);
            }
            ,error: function (jqXHR, textStatus, errorThrown) { 
//          	console.log(ajaxParam.pageName + ajaxParam.funcName + '引发此错误');
                if (jqXHR.responseJSON) {
//              	console.log(jqXHR.responseJSON.message);
                    if (jqXHR.responseJSON.status === 401) {
                        $.toast('当前用户身份信息失效，请登录。');
                    } else if (jqXHR.responseJSON.status === 403) {
                    	$.toast(jqXHR.responseJSON.message);
                    }
                } else {
//              	console.log(jqXHR.responseText);
                    if (jqXHR.status === 404) {
                    	$.toast('访问出现错误，错误原因：未查找到访问源。');
                    } else {
                    	$.toast('访问出现错误，错误代码：' + jqXHR.status + '，错误消息如下：' + jqXHR.responseText);
                    }
                }
            }
        });
    };
    ////初始化用户信息
    owner.init = function () {
        
    };
}(mui, window.common = {}));
