Date.prototype.Format = function (fmt) { //author: meizz 
    var o = {
        "M+": this.getMonth() + 1, //月份 
        "d+": this.getDate(), //日 
        "h+": this.getHours(), //小时 
        "m+": this.getMinutes(), //分 
        "s+": this.getSeconds(), //秒 
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度 
        "S": this.getMilliseconds() //毫秒 
    };
    if (/(y+)/.test(fmt)) {
        fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    }
    for (var k in o)
        if (new RegExp("(" + k + ")").test(fmt)) 
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
    
}
function ImageUpload(param) {	
	this.SupportCamera = param.supportCamera;
	this.SupportGallery = param.supportGallery;
	this.GalleryMultiple = param.galleryMultiple;
	this.IsZip = param.isZip;
	this.MaxCount = param.maxCount;	
	this.UploadServer = param.uploadServer;
	this.ImageList = [];
	this.CurrentCount = 0;
};
ImageUpload.prototype.creater = function(callback) {
	callback = callback || mui.noop;
	var that = this;
	var buttons = [];
	if (that.SupportCamera){
		buttons.push({title: '拍照'});
	}
	if (that.SupportGallery){
		buttons.push({title: '从相册中选择'});
	}
//	mui.each(buttons, function(index, item){
//		console.log(item.title);
//	});
	plus.nativeUI.actionSheet({
		cancel: '取消'
		,buttons: buttons
	}, function(e) {
//		console.log(e.index);
//		console.log(that.SupportCamera);
//		console.log(that.SupportGallery);
		switch(e.index) {
			case 1:
				if (that.SupportCamera){
					return that.appendFromCamera(callback);
				} else {
					return that.appendFromGallery(callback);
				}
				break; 
			case 2:
				return that.appendFromGallery(callback);
				break;
		}
	});
};
	
ImageUpload.prototype.appendFromCamera = function(callback) {
	var that = this;
	if (that.CurrentCount + 1 > that.MaxCount){
		return callback(false, ['最多只能上传 ' + that.MaxCount + ' 张图片。']);
	}
	plus.camera.getCamera().captureImage(function(e) {
		plus.io.resolveLocalFileSystemURL(e, function(entry) {
			var filePath = entry.toLocalURL();				
			if (that.IsZip){
				var name = filePath.substring(filePath.lastIndexOf('/') + 1, filePath.length);
				plus.zip.compressImage({
					src: filePath
					,dst: 'compressImg/' + name
					,overwrite: true
					,quality: 50
					,height: '50%'
					,width: '50%'

				}, function(zip) {
					that.ImageList.length = 0;
					that.ImageList.push(zip.target);
					return callback(true, that.ImageList);
				}, function(zipe) {
					return callback(false, '图片压缩失败。');
				});
			} else {
				that.ImageList.length = 0;
				that.ImageList.push(filePath);
				return callback(true, that.ImageList);
			}
		}, function(e) {
			return callback(false, ['读取拍照文件错误：' + e.message]);
		});

	});
};
	
ImageUpload.prototype.appendFromGallery = function(callback) {
	var that = this;
	if (that.CurrentCount + 1 > that.MaxCount){
		return callback(false, ['最多只能上传 ' + that.MaxCount + ' 张图片。']);
	}
	plus.gallery.pick(function(e) {
//		console.log(that.CurrentCount);		
		var filePathList = [];
		var processFailed = false;
		var chooseFileCount = 1;
		if (that.GalleryMultiple){
			chooseFileCount = e.files.length;
//			console.log(e.files.length);
			if (that.CurrentCount + e.files.length > that.MaxCount) {
				return callback(false, ['最多只能上传 ' + that.MaxCount + ' 张图片。']);
			}
			
			for (var iFile in e.files) {
				var filePath = e.files[iFile];
//				console.log('filePath=' + filePath);
//				console.log(that.IsZip);
				if (that.IsZip){
//					console.log('run here');
					var name = filePath.substring(filePath.lastIndexOf('/') + 1, filePath.length);
//					console.log(name);
					plus.zip.compressImage({
						src: filePath
						,dst: 'compressImg/' + name
						,overwrite: true
						,quality: 50
						,height: '50%'
						,width: '50%'	
					}, function(zip) {
//						console.log('zip.target=' + zip.target);
//						console.log(new Date().Format("yyyy-MM-dd hh:mm:ss"));
						chooseFileCount = chooseFileCount - 1;
						filePathList.push(zip.target);
						if (chooseFileCount === 0){
//							console.log('开始执行回调' + new Date().Format("yyyy-MM-dd hh:mm:ss"));
							if (processFailed){
								return callback(false, ['图片压缩失败。']);
							} else {
								that.ImageList = that.ImageList.concat(filePathList);
//								console.log(filePathList.length);
//								mui.each(filePathList, function(i, j){
//									console.log(j + '===========');
//								});
//								console.log('end');
								return callback(true, filePathList);
							}
						}
					}, function(zipe) {
//						console.log('压缩失败');
//						console.log(new Date().Format("yyyy-MM-dd hh:mm:ss"));
						chooseFileCount = chooseFileCount - 1;
						processFailed = true;
						if (chooseFileCount === 0){
//							console.log('开始执行回调' + new Date().Format("yyyy-MM-dd hh:mm:ss"));
							if (processFailed){
								return callback(false, ['图片压缩失败。']);
							} else {
								that.ImageList = that.ImageList.concat(filePathList);
//								console.log(filePathList.length);
//								mui.each(filePathList, function(i, j){
//									console.log(j + '===========');
//								});
//								console.log('end');
								return callback(true, filePathList);
							}
						}
					});
				} else {
					filePathList.push(filePath);
					chooseFileCount = chooseFileCount - 1;
					if (chooseFileCount === 0){
//						console.log('开始执行回调' + new Date().Format("yyyy-MM-dd hh:mm:ss"));
						that.ImageList = that.ImageList.concat(filePathList);
//						console.log(JSON.stringify( that.ImageList ));
//						console.log(filePathList.length);
//						mui.each(filePathList, function(i, j){
//							console.log(j + '===========');
//						});
//						console.log('end');
						return callback(true, filePathList);
					}
				}
			}
		} else {
//			console.log(e);
			var filePath = e;
			if (that.IsZip){
				var name = filePath.substring(filePath.lastIndexOf('/') + 1, filePath.length);
//				console.log('filePath=' + filePath);
				plus.zip.compressImage({
					src: filePath
					,dst: 'compressImg/' + name
					,overwrite: true
					,quality: 50
					,height: '50%'
					,width: '50%'	
				}, function(zip) {
//					console.log('压缩成功');
					chooseFileCount = chooseFileCount - 1;
					filePathList.push(zip.target);
//					console.log('开始执行回调' + new Date().Format("yyyy-MM-dd hh:mm:ss"));

					that.ImageList = that.ImageList.concat(filePathList);
//					console.log(filePathList.length);
//					mui.each(filePathList, function(i, j){
//						console.log(j + '===========');
//					});
//					console.log('end');
					return callback(true, filePathList);
				}, function(zipe) {
//					console.log('压缩失败');
					chooseFileCount = chooseFileCount - 1;
					processFailed = true;
					return callback(false, ['图片压缩失败。']);
				});
			} else {
				filePathList.push(filePath);
//				console.log('开始执行回调' + new Date().Format("yyyy-MM-dd hh:mm:ss"));

				that.ImageList = that.ImageList.concat(filePathList);
//				console.log(filePathList.length);
//				mui.each(filePathList, function(i, j){
//					console.log(j + '===========');
//				});
//				console.log('end');
				return callback(true, filePathList);
			}
		}
	}, function(e) {
		return callback(false, ['用户取消选择。']);
	}, {
		filter: 'image',
		multiple: that.GalleryMultiple
	});
};

ImageUpload.prototype.upload = function(data, ImageList, callback) {
	callback = callback || mui.noop;
	var that = this;
	var task = plus.uploader.createUpload(that.UploadServer, {
		method: 'POST'
		,blocksize: 204800
		,priority: 100
	}, function(result, status) {
		return callback(result, status);
	});
//	var list = that.ImageList;
//	console.log(JSON.stringify(that.ImageList));
//	console.log(JSON.stringify(ImageList));
	mui.each(ImageList, function(index, item){
		task.addFile(item, {
			key: 'uploadFile' + index.toString()
		});
	});
	mui.each(data, function(index, item){
		task.addData(item.paramName, item.paramValue);
	});
	task.start();
}; 
