var pageIndex = 1,
	pageSize = 10;  

var apiUrl = '';

var apiData = {};
//配置是否正确获取思迪接口信息数据
//var isInit = false;

mui.init({
	swipeBack: true //启用右滑关闭功能
});

mui.plusReady(function(){
	plus.screen.lockOrientation('portrait-primary');
});

mui.ready(function() {
	getApiInfo();
});

//清空infoVue数据，适用于下拉刷新时使用
function getDefaultData(){
	return {
		ifNoData: false
		,items: [] 
	}
}

var infoVue = new Vue({
    el: '#fireRoomList'
    ,data: {
        ifNoData: false
		,items: [] 
    }
    ,methods: {
		resetData: function() {
			Object.assign(this.$data, getDefaultData());
		}
	}
});

//转换json数据
function convert(items) {
	var newItems = [];
	if (Array.isArray(items)){
		items.forEach(function(item) {
			newItems.push({
				Id: item.ID
				,OwnerCode: item.OwnerCode
				,OwnerName: item.OwnerName
				,adminunit: item.adminunit
				,RoomCode: item.RoomCode
				,RoomName: item.RoomName
				,RegTime: item.RegTime.replace("T", " ")
				,LocationAddr: item.LocationAddr
				,Reserve: item.Reserve
			});
		});
	}
	return newItems;
}



//获取页面需要访问的思迪接口信息
function getApiInfo(){
	var pData = {
		token: user.getToken()
		,apiType : common.ApiType.FireRoomList
	}
	common.ajax({
		type: 'get'
		,url: common.ajaxDomainUrl + 'ManageMain/GetApi'
		,data: pData
	}, function(jsonData, status) {
		if(jsonData.succ) {
			var apiInfo = jsonData.data.apiInfo;
			apiUrl = apiInfo.ApiUrl;
			mui.each(apiInfo.ParamInfo, function(index, item){
				apiData[item.ParamName] = item.ParamValue;
			});
			
			infoVue.resetData();
			getData();
		} else {
			mui.toast('访问错误！');
		}
		isInit = true;
	});
}

function getData(){
	if (apiData.hasOwnProperty('pageindex')){
		apiData['pageindex'] = pageIndex;
	}
	if (apiData.hasOwnProperty('pagesize')){
		apiData['pagesize'] = pageSize;
	}

	common.ajax({
		type: 'get'
		,url: apiUrl
		,ticket: false
		,data: apiData
	}, function(jsonData, status) {
		var mainData = JSON.parse(jsonData.Msg);
		
		if(mainData && mainData.length > 0) {
			for(var i=0;i<mainData.length;i++){
				if(mainData[i].Reserve!=null && mainData[i].Reserve && mainData[i].Reserve!==''){
					infoVue.ifNoData = false;
					infoVue.items = infoVue.items.concat(convert(mainData));
				}else{
					infoVue.ifNoData = true;
				}
			}
		} else {
			infoVue.ifNoData = true;
		}
	});
} 

function openVedio(item, event){
	var pData = {
		token: user.getToken()
		,apiType : common.ApiType.FireRoomVideo
	}
	common.ajax({
		type: 'get'
		,url: common.ajaxDomainUrl + 'ManageMain/GetApi'
		,data: pData
	}, function(jsonData, status) {
		if(jsonData.succ) {
			var apiInfo = jsonData.data.apiInfo;
			var radioUrl = apiInfo.ApiUrl;
			var urlSuffix = '';
			mui.each(apiInfo.ParamInfo, function(index, item2){
				if(item2.ParamIsReadOnly){
					if (urlSuffix === ''){
						urlSuffix = urlSuffix + item2.ParamName + '=' + item2.ParamValue;
					} else {
						urlSuffix = urlSuffix + '&' + item2.ParamName + '=' + item2.ParamValue;
					}
				} else {
					if (urlSuffix === ''){
						urlSuffix = urlSuffix + item2.ParamName + '=' + item.Reserve;
					} else {
						urlSuffix = urlSuffix + '&' + item2.ParamName + '=' + item.Reserve;
					}
				}				
			});
			radioUrl = radioUrl + '?' + urlSuffix;
//			console.log(radioUrl);
			common.openWebPage('MonitorFireRoomVedio.html', 'MonitorFireRoomVedio.html', {
		        url: radioUrl
		    }, false, '', '', 'slide-in-right');
		} else {
			mui.toast('访问错误！');
		}
		isInit = true;
	});
}

