mui.init({
	swipeBack: true//启用右滑关闭功能 
	,pullRefresh: {
		container: '#articleList',
		down: {
			style: 'circle'
			,offset: '0px'
			,callback: pulldownRefresh
		}
		,up: {
			contentrefresh: '正在加载...'
			,callback: pullupRefresh
		}
	}
	,beforeback: function(){		
	    articleListVue.resetData();
	    page = 1;
	    return true; 
    }
});

var page = 1;
var num = 9;

/**
 *  下拉刷新获取最新列表 
 */
function pulldownRefresh() {
	if(window.plus && plus.networkinfo.getCurrentType() === plus.networkinfo.CONNECTION_NONE) {
		plus.nativeUI.toast('似乎已断开与互联网的连接', {
			verticalAlign: 'top'
		});
		return;
	}
	page = 1; 
	articleListVue.resetData();  
	mui('#articleList').pullRefresh().enablePullupToRefresh();
	getList();
	mui('#articleList').pullRefresh().endPulldown(); 
}
/**
 * 上拉加载
 */
function pullupRefresh() {
	getList();
}

function getDefaultData(){
	return {
        items: []
//      ,title: ''
	}
}
var articleListVue = new Vue({
	el: '#articleList',
	data: {
		items: []
		,title: ''
	}
	,updated: function(){
		var titleTxt = document.getElementById('title');
		titleTxt.innerText = this.title;
	}
	,methods: {
		resetData: function() {//重置数据
			Object.assign(this.$data, getDefaultData());
		}
	}
});

function getList(){
	var postData = {
		columnGuid: guid
		,page: page
		,rows: num
	}
	common.ajax({
		type: 'post'
		,url: common.ajaxDomainUrl + 'ExecuteMain/FunList'
		,data: JSON.stringify(postData)
	}, function(jsonData, status) {
		if(jsonData.succ) {
//			console.log(page);
			var pageCount = Math.ceil(jsonData.msg / num) ;
			if(page === 1){
				articleListVue.items = jsonData.data.articleList ;
			} else {
				articleListVue.items = articleListVue.items.concat( jsonData.data.articleList );
			}
			if(page >= pageCount){
				mui('#articleList').pullRefresh().endPullupToRefresh(true);
			} else {
				mui('#articleList').pullRefresh().endPullupToRefresh(false);
				page = page + 1;
			}			
			
			if(pageCount <= 1){
				mui('#articleList').pullRefresh().disablePullupToRefresh();
			}			
		} else {
			mui.toast('访问错误！');
		}
	});
}

//打开文章详情页
function openArticle(guid, apiInfo, event){
	var _webview = null;
	if (mui.os.plus){
		_webview = plus.webview.getWebviewById('articleInfo.html');
	}
    common.openWebPage('articleInfo.html', 'articleInfo.html', {
		guid: guid
		,apiInfo: apiInfo
    }, true, _webview, 'articleInfo', 'slide-in-right');
}

var guid = '';
mui.plusReady(function() {
	var token = '', title = '';
	document.addEventListener('columnCommonFire', function(e){
		guid = e.detail.columnGuid;
		title = e.detail.title;
		articleListVue.title = title;
		getList();
	})
	var	articleInfo = mui.preload({ 
		url: 'articleInfo.html'
		,id: 'articleInfo.html'
	});	  
})