var cmsColumnOfVue = new Vue({
	el: '#cmsColumnArea',
	data: {
		items: [] 
	}
});

function convert(items) {
	var newItems = [];
	var idIndex = 1;
	items.forEach(function(item) {
		var children = [];
		if(item.ChildrenCount > 0) {
			children = children.concat(convert(item.Children));
		}
		newItems.push({
			Guid: item.Guid,
			DivId: 'column' + idIndex,
			Name: item.Name,
			IsJump: item.IsJump,
			IconImage: item.IconImage,
			JumpUrl: item.JumpUrl,
			PageName: item.PageName,
			PageParamKey: item.PageParamKey,
			PageParamValue: item.PageParamValue,
			ChildrenCount: item.ChildrenCount

				,
			Children: children
		});

		idIndex = idIndex + 1;
	});
	return newItems;
}

function getFunHome() {
	var postData = {
		isEnable: true
	}
	common.ajax({
		type: 'post'
		,url: common.ajaxDomainUrl + 'ExecuteMain/FunHome'
		,data: JSON.stringify(postData)
	}, function(jsonData, status) {
		if(jsonData.succ) {
			cmsColumnOfVue.items = cmsColumnOfVue.items.concat(convert(jsonData.data.list));
		} else {
			mui.toast('访问错误！');
		}
	});
}

function openWebPage(item, event) {
	if(item.IsJump) {
		var _webview = plus.webview.getWebviewById('externalWeb.html');
		common.openWebPage('externalWeb.html', 'externalWeb.html', {
			token: user.getToken(),
			columnGuid: item.Guid,
			title: item.Name,
			url: item.JumpUrl
		}, false, '', '', 'slide-in-right');
	} else {
		if(item.PageName === 'articleList.html'){
			var _webview = plus.webview.getWebviewById('articleList.html');
			//所有关联页面必须实现columnCommonFire的监听，可以为空事件
			common.openWebPage(item.PageName, item.PageName, {
				token: user.getToken(),
				columnGuid: item.Guid,
				title: item.Name
			}, true, _webview, 'columnCommonFire', 'slide-in-right'); 
		} else{
			common.openWebPage(item.PageName, item.PageName, {
				token: user.getToken(),
				columnGuid: item.Guid,
				title: item.Name
			}, false, '', '', 'slide-in-right');
		}
		
	}
}
mui.init({
	swipeBack: false //启用右滑关闭功能
});

mui.ready(function() {
	getFunHome();
});

mui.plusReady(function() {
    var	webviewArticle = mui.preload({
		url: 'articleList.html'
		,id: 'articleList.html'
	});	
});