(function($, doc) {
	var lastId = 0,
		pageSize = 10;  
	
	var apiUrl = '';
	
	var apiData = {}, searchData = {};
	//配置是否正确获取思迪接口信息数据
	var isInit = false;

	//mui初始化，配置下拉刷新
	$.init({
		pullRefresh: {
			container: '#list'
			,down: {
				style: 'circle'
				,offset: '0px'
				,auto: true
				,callback: pulldownRefresh
			}
			,up: {
				contentrefresh: '消防管家正在加载...'
				,callback: pullupRefresh
			}
		}
	});
	
	$.plusReady(function() {
	});

	//下拉刷新获取最新数据
	function pulldownRefresh() {
		if (!isInit){
			if (!(user.localStorageData.ownerInfoNameSD && user.localStorageData.ownerInfoNameSD !== '')){
				user.getOwnerInfoNameSD(false);
			}
			if (!(user.localStorageData.ownerInfoNameSD && user.localStorageData.ownerInfoNameSD !== '')){
				mui.toast('获取用户机构名称失败');
			}
			var start, end;
			user.getServerDateTime(2, false, 1, function(t){
				start = t;
			});
			user.getServerDateTime(3, true, 1, function(t){
				end = t;
			});
			searchData = {
	            Start: start
	            ,End: end
	            ,Name: user.localStorageData.ownerInfoNameSD
	            ,Inspect: true
	            ,Mask: true
	            ,Callback: true
	        }
			
			getApiInfo();
		}
		if (isInit){
			infoVue.resetData();
			lastId = 0;
			getData(true);
		} else {
			mui.toast('获取url出现错误');
		}
	}

	//上拉加载更多数据
	function pullupRefresh() {
		getData(false);
	}
	
	//加载数据
	function getData(isFirstLoad){
		if (apiData.hasOwnProperty('lastid')){
			apiData['lastid'] = lastId;
		}
		if (apiData.hasOwnProperty('count')){
			apiData['count'] = pageSize;
		}
		apiData['search'] = JSON.stringify(searchData);
		console.log(JSON.stringify(apiData));
		common.ajax({
			type: 'get'
			,url: apiUrl
			,ticket: false
			,data: apiData
		}, function(jsonData, status) {	
			console.log(JSON.stringify(jsonData));
			if (isFirstLoad){
				mui('#list').pullRefresh().endPulldownToRefresh();
				//设置下拉加载可用
				mui('#list').pullRefresh().enablePullupToRefresh();
			}
			var mainData = JSON.parse(jsonData.Msg);
			lastId = mainData.LastId;
			if(mainData.Items && mainData.Items.length > 0) {
				if (isFirstLoad){
					infoVue.ifNoData = true;
				}
				//根据返回记录数是否小于每页数量来设置是否允许下拉加载，true为不允许继续下拉加载
				mui('#list').pullRefresh().endPullupToRefresh(mainData.Items.length < pageSize);
				infoVue.items = infoVue.items.concat(convert(mainData.Items));
			} else {
				if (isFirstLoad){
					infoVue.ifNoData = false;
				}
				mui('#list').pullRefresh().endPullupToRefresh(true);
			}

			if (!mainData.Items || mainData.Items.length < pageSize){
				//根据是否有无数据的相应处理，来决定是否延时禁用下拉加载
				//注意！！！！！！！！禁用下拉加载只为不显示mui自带的“没有更多数据了”信息提示
				//setTimeout(function(){
					mui('#list').pullRefresh().disablePullupToRefresh();
				//}, 1000);
			}
		});
	}

	//获取页面需要访问的思迪接口信息
	function getApiInfo(){
		var pData = {
			token: user.getToken()
			,apiType : common.ApiType.StatusInfo
		}
		common.ajax({
			type: 'get'
			,url: common.ajaxDomainUrl + 'ManageMain/GetApi'
			,data: pData
			//async在此处设置为false，不采用异步处理方式
			//否则isInit未正确获取相应值时，无法步入getData的流程
			,async: false
		}, function(jsonData, status) {
			if(jsonData.succ) {
				var apiInfo = jsonData.data.apiInfo;
				apiUrl = apiInfo.ApiUrl;
				mui.each(apiInfo.ParamInfo, function(index, item){
					apiData[item.ParamName] = item.ParamValue;
				});
			} else {
				mui.toast('访问错误！');
			}
			isInit = true;
		});
	}
	
	//清空infoVue数据，适用于下拉刷新时使用
	function getDefaultData(){
		return {
			ifNoData: true
			,items: [] 
		}
	}

	//绑定的vue数据结构
	var infoVue = new Vue({
		el: '#infoList'
		,data: {
			ifNoData: true
			,items: [] 
		}
		,methods: {
			resetData: function() {
				Object.assign(this.$data, getDefaultData());
			}
		}
	});

	//转换json数据
	function convert(items) {
		var newItems = [];
		if (Array.isArray(items)){
			items.forEach(function(item) {
				newItems.push({
					Id: item.Id
					,UserName: item.UserName
					,Type: item.Type
					,Senser: item.Senser
					,Position: item.Position
					,Time: item.Time.replace('T', ' ')
					,Deal: item.Deal
					,LastUpdate: item.LastUpdate.replace('T', ' ')
				});
			});
		}
		return newItems;
	}
}(mui, document));