mui.init({
	swipeBack: true //启用右滑关闭功能
});

var formVue = new Vue({
    el: '#formInfo',
    data: {
        items: []
    },
    updated: function () {
    	var helpCon = document.getElementById('helpCon');
    	helpCon.innerHTML = this.items.helpContent;
    }
});

var statusTxt = 1; 
var postManageTxt = false;
mui.ready(function() {

	var abnormal = document.getElementById('abnormal');
	var helpCon = document.getElementById('helpCon');
	var nohelp = document.getElementById('nohelp');
	//正常异常点击
	var normalTab = document.getElementById('normalTab');
	var abnormalTab = document.getElementById('abnormalTab');
	var helpTab = document.getElementById('help');
	//正常
	normalTab.addEventListener('tap', function(){
		this.classList.add('active');
		abnormalTab.classList.remove('active');
		helpTab.classList.remove('active');
		abnormal.classList.add('hide');
		
		helpCon.classList.add('hide');
		nohelp.classList.remove('hide');
		statusTxt = 1;
		postManageTxt = false;
	})
	//异常
	abnormalTab.addEventListener('tap', function(){
		this.classList.add('active');
		normalTab.classList.remove('active');
		abnormal.classList.remove('hide');
		
		helpTab.classList.remove('active');
		helpCon.classList.add('hide');
		nohelp.classList.remove('hide');
		
		statusTxt = -1;
	})
	//帮助
	helpTab.addEventListener('tap', function(){
		this.classList.add('active');
		normalTab.classList.remove('active');
		abnormalTab.classList.remove('active');
		helpCon.classList.remove('hide');
		nohelp.classList.add('hide');
		
	})
	//现场处理
	var handle = document.getElementById('reciveMan');
	mui('.handle').on('change', 'input', function() {
		if(this.checked) {
			handle.classList.add('hide');
			//设置是否推送值为false
			postManageTxt = false;
		}
	});
	//异常推送
	mui('.circulation').on('change', 'input', function() {
		if(this.checked) {
			handle.classList.remove('hide');
			
			//设置是否推送值为true
			postManageTxt = true;
		}
	});
	
	//选择接收人
	var getUser = document.getElementById('getUser');
	getUser.addEventListener('tap', function(){
		common.openWebPage('../user/selectDep.html', 'selectDep.html', {
			webViwid : 'checkForm.html'
			,checkType : 'radio'
		}, false, '', '', 'slide-in-right');
	})

})

var saveBtn='';

//获取异常项
function getFormInfo(workGuid, facilitiesGuid){
	var postData = {
		token: user.getToken()
		,workGuid: workGuid
		,facilitieGuid: facilitiesGuid
	}
	common.ajax({
		type: 'post',
		url: common.ajaxDomainUrl + 'Work/GetFacilitie',
		data: JSON.stringify(postData),
	}, function(jsonData, status) {
//		console.log(JSON.stringify(jsonData));
		if(jsonData.succ) {			
			formVue.items = jsonData.data;
		} else {
			mui.toast(jsonData.msg);
		}		
	})
}


//点击按钮上传图片
var param = { 
	supportCamera : true
	,supportGallery : false
	,galleryMultiple : false
	,isZip : true
	,maxCount : 3
	,uploadServer : common.ajaxDomainUrl + 'Work/SaveWork'  
};
document.getElementById('picSelect').addEventListener('tap', function(){
	var imgNum = document.querySelectorAll('.image-item').length;
	if(imgNum >= param.maxCount){
		mui.toast('最多上传' + param.maxCount + '张图片')
		return false;
	}
	var changePhoto = new ImageUpload(param);
	changePhoto.creater(function(isSucc, info){
		if(isSucc){
			var imgDiv =
				'<div class="image-item" data-imgurl="' + info + '" style="background-image:url(' + info + ');">' +
				'<div class="image-close">X</div>' +
				'<div class="file"></div></div>';
			var imgListTxt = document.querySelector('.imgList').innerHTML;
			document.querySelector('.imgList').innerHTML = imgListTxt + imgDiv; 
		}
	});
})

//保存数据
function saveInfo(postData){ 
	var files = [];
	var changePhoto = new ImageUpload(param);
	var imgListTxt = document.querySelectorAll('.image-item');
	for(i = 0; i < imgListTxt.length; i++){
		var imgUrl = imgListTxt[i].getAttribute('data-imgurl');
		files.push(imgUrl);
	}
	changePhoto.upload( 
		postData,
		files,
		function(result, status){
			var responseText = JSON.parse(result.responseText);
			var succ = responseText.succ;
//			console.log(JSON.stringify( result ));
			if(succ){
				mui.toast(responseText.msg);   
				var msg = responseText.msg;
				mui(saveBtn).button('reset');
				
//				var _WorkView = plus.webview.getWebviewById('checkworkList.html');
//				var _facyView = plus.webview.getWebviewById('checkfaciyList.html');
//				if(_WorkView !=null && _WorkView!='' && _WorkView != undefined){
//					_WorkView.close("none");
//				}
//				if(_facyView !=null && _facyView!='' && _facyView != undefined){
//					_facyView.close("none");
//				}
				var backView = plus.webview.getWebviewById('checkRW.html');
				mui.fire(backView,'refresh',{});
				mui.back();
			}else{
				mui.toast('任务保存失败！');  
				mui(saveBtn).button('reset');
			}
		}
	);
}

mui('.imgList').on('tap', '.image-close' ,function(){
//	console.log(this.innerHTML);
	var parentDiv = this.parentNode;
	parentDiv.parentNode.removeChild(parentDiv); 
})

mui.plusReady(function() {
	//关闭扫描二维码页面
	var scanViw = plus.webview.getWebviewById('checkscan.html');
//	console.log(scanViw.getURL());
	if(scanViw !== null && scanViw !== undefined && scanViw !== ''){
		scanViw.close();
	}
	
	var sData = plus.webview.currentWebview();
	var workGuid = sData.workGuid;
	var facilitieGuid = sData.facilitiesGuid;
//	console.log(JSON.stringify(sData));
	
	//获取检查项基本信息（异常项、帮助文档）
	getFormInfo(workGuid,facilitieGuid);
	
	//获取推送接收人信息
	var uid = '';
	document.addEventListener('getName', function(event){
		uid = event.detail.userId;
		var uName = event.detail.userName;
//		console.log(JSON.stringify(uid));
//		console.log(JSON.stringify(uName));
		document.getElementById('getUser').innerText = uName;
	}) 
	
	//保存
	saveBtn = document.getElementById('submit');
	saveBtn.addEventListener('tap', function(){
		mui(this).button('loading');
		//备注
		var memoTxt = document.getElementById('memo').value; 
		//异常情况
		var optionTxt = '';
		
		mui("input[name='option']").each(function(){
			if(this.checked){
				var txt = this.value;
				optionTxt = optionTxt + txt + ',';
			}
		})
		var optionStr = optionTxt.substr(0,optionTxt.length - 1);
//		console.log(optionStr);

		if(statusTxt === -1){
			if(postManageTxt){
				if(!optionTxt || optionTxt === ''){
					mui.toast('请选择接收人！');
					mui(saveBtn).button('reset');
					return false;					
				}
			}
		}
		
		var datajson = {
			workGuid: workGuid,
			data: [{				
				facilitiesGuid : facilitieGuid
				,option : optionStr
				,memo : memoTxt//备注
				,isPostManager : postManageTxt   //异常情况处理方式（false：现场处理； true：推送异常流转任务）
				,status : statusTxt                //状态（1：正常； -1异常）
				,selectUserGuid : uid
			}]
		};
		var postData = [
			{
				paramName: 'token'
				,paramValue: user.getToken()
			},{
				paramName: 'dataJson'
				,paramValue: JSON.stringify( datajson )
			}
		]
		saveInfo(postData);
	});	
});