mui.init({
	swipeBack: true
	,pullRefresh: {
		container: '#scroll'
		,down: {
			style: 'circle'
			,offset: '0px'
			,auto: true
			,callback: pulldownRefresh
		}
		,up: {
			//auto: true,
			contentrefresh: '正在加载...'
			,callback: pullupRefresh
		}
	}  
});

var page = 1;
var num = 9;
var type = null;

/**
 * 上拉加载
 */
function pullupRefresh() {
//	page = 2;
	getCmdList(type);
}
/**
 *  下拉刷新获取最新列表 
 */
function pulldownRefresh() {
	if(window.plus && plus.networkinfo.getCurrentType() === plus.networkinfo.CONNECTION_NONE) {
		plus.nativeUI.toast('似乎已断开与互联网的连接', {
			verticalAlign: 'top'
		});
		return;
	}
	page = 1; 
	commandVue.resetData();  
	mui('#scroll').pullRefresh().enablePullupToRefresh();
	getCmdList(type);
	mui('#scroll').pullRefresh().endPulldown(); 
}

function getDefaultData(){
	return {
        items: [] 
	}
}
var commandVue = new Vue({
    el: '#command'
    ,data: {
        items:[],
        isNoData : false
    }
    ,methods: {
		resetData: function() {//重置数据
			Object.assign(this.$data, getDefaultData());
		}
	}
})

mui.ready(function() {
	//我收到的
	document.getElementById('processed').addEventListener('tap', function(){
		type = 'INBOX';
		commandVue.resetData();
		page = 1;
		getCmdList(type);
		mui('#scroll').pullRefresh().enablePullupToRefresh();
	})
	//我发送的
	document.getElementById('Unprocessed').addEventListener('tap', function(){
		type = 'OUTBOX';
		commandVue.resetData();
		page = 1;
		getCmdList(type);
		mui('#scroll').pullRefresh().enablePullupToRefresh();
	})
	
	//跳转到指令详情页
	mui('.mui-table-view').on('tap', '.mui-table-view-cell', function() {
		var guid = this.getAttribute('data-uid');
		common.openWebPage('commandInfo.html', 'commandInfo.html', {
			guid:guid
		}, false, '', '', 'slide-in-right');
	});
})

function getCmdList(type) {

	var postData = {
		token: user.getToken()
		,isReaded: null
		,isConfirm:null  
		,mode:type
		,page:page
		,rows:num 
	}
	common.ajax({
		type: 'post'
		,url: common.ajaxDomainUrl + 'Dictate/List'
		,data: JSON.stringify(postData)
	}, function(jsonData, status) {
		if(jsonData.succ) {
			pageCount = Math.ceil(jsonData.msg / num) ;
			if(page === 1){
				commandVue.items = jsonData.data;
				if(jsonData.data.length <= 0){
					commandVue.isNoData = true;
				}else{
					commandVue.isNoData = false;
				}
				mui('#scroll').pullRefresh().enablePullupToRefresh();
			} else {
				commandVue.items = commandVue.items.concat( jsonData.data );
			}
			if(page >= pageCount){
				mui('#scroll').pullRefresh().endPullupToRefresh(true);
			} else {
				mui('#scroll').pullRefresh().endPullupToRefresh(false);
				page = page + 1;
			}			
			if(pageCount <= 1){
				mui('#scroll').pullRefresh().disablePullupToRefresh();
			}
		} else {
			mui.toast('访问错误！')
		}
	});
} 

mui.plusReady(function(){
	//刷新页面
	window.addEventListener('refresh', function(e) { //执行刷新
		location.reload();
	});
})

document.getElementById('commandSend').addEventListener('tap',function(){
	common.openWebPage('commandSend.html', 'commandSend.html', {}, false, '', '', 'slide-in-right');
})