
var apiUrl = '';

var apiData = {};

var staticData = [];
//配置是否正确获取思迪接口信息数据
//var isInit = false;

mui.init({
	swipeBack: false //启用右滑关闭功能
});

mui.plusReady(function(){
	plus.screen.lockOrientation('portrait-primary');
	var	status = mui.preload({ 
		url: 'statusInfo.html'
		,id: 'statusInfo.html'
	});	
	var	fireInfo = mui.preload({ 
		url: 'fireInfo.html'
		,id: 'fireInfo.html'
	});	
});

mui.ready(function() {
	getApiInfo();
});

//清空infoVue数据，适用于下拉刷新时使用
function getDefaultData(){
	return {
		ifNoData: true
		,items: [] 
	}
} 

var infoVue = new Vue({
    el: '#fireData'
    ,data: {
        ifNoData: true
		,items: [] 
		,singleItem: []
    },
    updated: function(){
    	var data = this.singleItem;
    	singleInfo(data);
    }
    ,methods: {
		resetData: function() {
			Object.assign(this.$data, getDefaultData());
		}
	}
});

function concat(mainData){
	var newItems = [];
	mainData.forEach(function(data){
		newItems.push({
			Fire: data.Fire
			,FireReal: data.FireReal
			,PowerOnoff: data.PowerOnoff
			,Failure: data.Failure
			,Mask: data.Mask
			,Reset: data.Reset
			,Monitor: data.Monitor
			,Startup: data.Startup
			,Callback: data.Callback
		});
	});
	infoVue.singleItem = newItems[0];
	return newItems;
}

//获取页面需要访问的思迪接口信息
function getApiInfo(){
	var pData = {
		token: user.getToken()
		,apiType : common.ApiType.FireStatistics  
	};
//	console.log(JSON.stringify(pData));
	common.ajax({
		type: 'get'
		,url: common.ajaxDomainUrl + 'ManageMain/GetApi'
		,data: pData
	}, function(jsonData, status) {
//		console.log(JSON.stringify(jsonData));
		if(jsonData.succ) {
			var apiInfo = jsonData.data.apiInfo;
			apiUrl = apiInfo.ApiUrl;
			mui.each(apiInfo.ParamInfo, function(index, item){
				apiData[item.ParamName] = item.ParamValue;
			});
			
			infoVue.resetData();
			getData();
		} else {
			mui.toast('访问错误！');
		}
		isInit = true;
	});
}

function getData(){
	common.ajax({
		type: 'get'
		,url: apiUrl
		,ticket: false      
		,data: apiData
	}, function(jsonData, status) {
//		console.log('火警统计：'+ JSON.stringify(jsonData)); 
		var mainData = JSON.parse(jsonData.Msg);
		if(mainData && mainData.length > 0) {
			staticData = mainData;
			infoVue.ifNoData = true;
			infoVue.items = concat(mainData); 
//			infoVue.singleItem = mainData[0]; 
			chart();
		} else { 
			infoVue.ifNoData = false;
		}
	});
} 

//（昨日、上周、上月）按钮点击 
function changeData(item){
//	console.log(JSON.stringify(item));
	infoVue.singleItem = item;
}
//数据计算，饼图显示
function singleInfo(item){
//	console.log(JSON.stringify(item));
//	infoVue.singleItem = item;
	var newitem = [];
	var sum = 0;  //总数
	var stat = 0; //状态
	var huo = 0; //火警
	var guz = 0; //故障
	for(var i in item){
		sum = sum + item[i];
	}
	for(var i in item){
		if(i == 'Fire'){
			var percent = Math.round(item[i] / sum * 10000) / 100.00;
//			console.log(typeof percent); 
			
			if(isNaN(percent)){
				percent = 0;
			}
			newitem.push({
				value: item[i],
				name: '火警'
			});
			huo = item[i] + '(' + percent + '%)'
		}
		else if(i == 'Failure'){
			var percent = Math.round(item[i] / sum * 10000) / 100.00;
			if(isNaN(percent)){
				percent = 0;
			}
			newitem.push({
				value: item[i],
				name: '故障'
			});
			guz = item[i] + '(' + percent + '%)'
		}else{
			if(i !== 'FireReal'){
				stat = stat + item[i]
			}
		}
	}
	var percent = Math.round(stat / sum * 10000) / 100.00;
	if(isNaN(percent)){
		percent = 0;
	}
//	console.log(percent);
	newitem.push({
		value: stat,
		name: '状态'
	});
	stat = stat +  '(' + percent + '%)' ;
	
	//显示总数
	var sumTxt = document.getElementById('sum');
	sumTxt.innerText = sum;
	
	//显示火警故障状态
	document.getElementById('huo').innerText = huo;
	document.getElementById('guz').innerText = guz;
	document.getElementById('stat').innerText = stat;
	//调用饼图显示数据
	chart(newitem);
}

var x = screen.width - 20;
document.querySelector('.chart').style.width = x + 'px';

function chart(data){
//	console.log(JSON.stringify(data));
	var getOption1 = function(chartType) {
		var chartOption = {
			calculable: false,
			color: ['#ff7f50', '#f6db00', '#34a47c', '#61a0a8', '#d48265', '#91c7ae', '#749f83', '#ca8622', '#bda29a', '#6e7074', '#546570', '#c4ccd3'],
			series: [{ 
				name: '访问来源'
				,type: 'pie'
				,radius: '65%'
				,center: ['60%', '50%'] 
//				,roseType : 'radius'
				,data: data
			}]
		} ;
		return chartOption;
	};
	var byId = function(id) {
		return document.getElementById(id);
	};
	var pieChart = echarts.init(byId('lineChart'));
	pieChart.setOption(getOption1('pie'));

}

mui('#day').on('tap', 'span', function(){
	var siblins = this.parentNode.children;
	for(var i = 0; i < siblins.length; i++){
		siblins[i].classList.remove('mui-badge-success');
	}
	this.classList.add('mui-badge-success');
});

//打开监管、屏蔽、反馈信息页面
function openStatus(status){
	console.log(JSON.stringify(status));
	var _webview = null;
	if (mui.os.plus){
		_webview = plus.webview.getWebviewById('statusInfo.html');
	}
	 common.openWebPage('statusInfo.html', 'statusInfo.html', {
		status: status
    }, true, _webview, 'getstatus', 'slide-in-right');
}
function openfire(status){
	console.log(JSON.stringify(status));
	var _webview = null;
	if (mui.os.plus){
		_webview = plus.webview.getWebviewById('fireInfo.html');
	}
	 common.openWebPage('fireInfo.html', 'fireInfo.html', {
		fire: status
    }, true, _webview, 'getstatus', 'slide-in-right');
}