mui.init({
	swipeBack: false //启用右滑关闭功能
	,pullRefresh: {
		container: '#main'
		,down: {
			style: 'circle'
			,offset: '0px'
			,callback: pulldownRefresh
		}
	}  
});
function pulldownRefresh() {
	if(window.plus && plus.networkinfo.getCurrentType() === plus.networkinfo.CONNECTION_NONE) {
		plus.nativeUI.toast('似乎已断开与互联网的连接', {
			verticalAlign: 'top'
		});
		return;
	}
//	console.log(areaVue.oldTaskRate);
	areaVue.resetData();  
//	console.log(areaVue.oldTaskRate);
	getMainData();
//	console.log(areaVue.oldTaskRate);
	getUserInfo();
	mui('#main').pullRefresh().endPulldown();
}

//点击按钮跳转
mui('#main').on('tap', 'a', function(e) {
	var targetTab = this.getAttribute('href');
	var targetId = this.getAttribute('data-guid');
	common.openWebPage(targetTab, targetId, {}, false, '', '', 'slide-in-right');
})

mui.ready(function() {
	getUserInfo();
	getMainData();
	setInterval('getMainData()', 1000 * 60);
})
function getUserInfo(){
	var userInfo = user.getLocalStorage();
	userVue.userInfo = userInfo;
}

//用户基本信息
var userVue = new Vue({
	el: '#userInfo'
	,data: {
		userInfo: []
	}
});

function getDefaultData(){
	return {
        xuncount: ''
    	,checkcount: ''
    	,taskcount: ''
        ,items: []
        ,doneNum: ''
        ,undoneNum: ''
        ,oldTaskRate: ''
        ,taskRate: ''
	}
}
//未完成区域名称
var areaVue = new Vue({
    el: '#area'
    ,data: {
    	xuncount: ''
    	,checkcount: ''
    	,taskcount: ''
        ,items: []
        ,doneNum: ''
        ,undoneNum: ''
        ,oldTaskRate: ''
        ,taskRate: ''
    }
    ,updated: function () {
    	var _this = this;
    	//角标数量
    	var xunCount = document.getElementById('xunCount');
    	var checkCount = document.getElementById('checkCount');
    	var taskCount = document.getElementById('taskCount');
    	
    	if(_this.xuncount > 0){
    		xunCount.innerText = _this.xuncount;
    	}
    	
    	if(_this.checkcount > 0){
    		checkCount.innerText = _this.checkcount;
    	}
    	
    	if(_this.taskcount > 0){
    		taskCount.innerText = _this.taskcount;
    	}
    	
    	var time_canvas = document.getElementById('myProgress');
    	
    	if(_this.oldTaskRate !== ''){ 
    		circular(time_canvas, _this.oldTaskRate, _this.taskRate, '#2ea77e', '#f1f6f4');
    	} else {
    		//console.log('here ');
    	}
		
    }
    ,methods: {
		resetData: function() {//重置数据
			Object.assign(this.$data, getDefaultData());
		}
	}
});

//公告
var noticesVue = new Vue({
	el: '#notices'
	,data: {
		items: [] //列表信息流数据
	}
	,updated: function(){
		notice('#notices ul')
	}
});

function openArticle(guid, apiInfo, event){
	var _webview = null;
	if (mui.os.plus){
		_webview = plus.webview.getWebviewById('articleInfo.html');
	}
    common.openWebPage('../article/articleInfo.html', 'articleInfo.html', {
		guid: guid
		,apiInfo: apiInfo
    }, true, _webview, 'articleInfo', 'slide-in-right');
}
mui.plusReady(function(){	
	
//	var pollUrl = common.ajaxDomainUrl + 'ExecuteMain/TaskCount';
//	var userToken = user.getToken();
//	setInterval('getInfo("' + pollUrl + '", "' + userToken + '")', 1000 * 5);
});

function getMainData(){
	common.ajax({
		type: 'post'
		,url: common.ajaxDomainUrl + 'ExecuteMain/Welcome'
		,data: {
			token: user.getToken()
		}
	}, function(jsonData, status) {
//		console.log(JSON.stringify(jsonData));
		if(jsonData.succ) {
			var data = jsonData.data;
			if (areaVue.oldTaskRate && areaVue.oldTaskRate !== ''){
//				console.log('222');
				areaVue.oldTaskRate = areaVue.taskRate;
			} else {
				areaVue.oldTaskRate = 0;
			}
			//公告
			noticesVue.items = data.noticesArticle;
			//进度条
			areaVue.taskRate = data.dailyTaskRate;
			//巡查数量
			areaVue.xuncount = data.dailyTaskCount;
			//检查数量
			areaVue.checkcount = data.workCount;
			//任务流转数量
			areaVue.taskcount = data.waitItAbnormalCount;
			//进度区域名称
			areaVue.items = data.taskAreas;
			//已完成和未完成数量
			var taskAreas = data.taskAreas;
			var done = 0, undone = 0;
			for(i = 0; i < taskAreas.length; i++){
				done = done + taskAreas[i].passCount;
				undone = undone + taskAreas[i].waitCount;
			}
			areaVue.doneNum = done;
			areaVue.undoneNum = undone;
			
			//指令数量 
			var cmdCount = data.instructionTaskCount;
			if (cmdCount > 0){
				var wvb = plus.webview.getWebviewById('indexUser.html');
				mui.fire(wvb, 'getcmdData', {
					cmdCount:cmdCount
				});
			}
		} else {
			mui.toast('访问错误！')
		}			
	});	
}

function getInfo(pollUrl, userToken){  
    common.ajax({
		type: 'get'
		,url: pollUrl
		,data: {
			token: userToken
		}
	}, function(jsonData, status) {
		if(jsonData.succ) {
			var data = jsonData.data;			
			//指令数量 
			var cmdCount = data.instructionTaskCount;
			if (cmdCount >= 0){
				var wvb = plus.webview.getWebviewById('indexUser.html');
				mui.fire(wvb, 'getcmdData', {
					cmdCount:cmdCount
				});
			}
		}		
	});	
} 
