mui.init({
	swipeBack:true //启用右滑关闭功能
	,pullRefresh: {
		container: '#scroll'
		,down: {
			style: 'circle'
			,offset: '80px'
			,auto: true
			,callback: pulldownRefresh
		}
		,up: {
			contentrefresh: '正在加载...'
			,callback: pullupRefresh
		}
	}  
});

var withIt = true; 
var isEnd = null;
var page = 1;
var num = 9;

/**
 *  下拉刷新获取最新列表 
 */
function pulldownRefresh() {
	if(window.plus && plus.networkinfo.getCurrentType() === plus.networkinfo.CONNECTION_NONE) {
		plus.nativeUI.toast('似乎已断开与互联网的连接', {
			verticalAlign: 'top'
		});
		return;
	}
	page = 1; 
	taskVue.resetData();  
	mui('#scroll').pullRefresh().enablePullupToRefresh(); 
	getTask(withIt,isEnd);
	mui('#scroll').pullRefresh().endPulldown(); 
}

/**
 * 上拉加载
 */
function pullupRefresh() {
	getTask(withIt,isEnd);
}

mui.ready(function(){
	//待处理事件
	document.getElementById('pending').addEventListener('tap', function(){
		withIt = true, isEnd = null;
		taskVue.resetData();
		page = 1;
		mui('#scroll').pullRefresh().enablePullupToRefresh();
		getTask(withIt,isEnd);
	});
	
	//处理中事件
	document.getElementById('processing').addEventListener('tap', function(){
		withIt = false, isEnd = false;
		taskVue.resetData();
		page = 1;
		mui('#scroll').pullRefresh().enablePullupToRefresh();
		getTask(withIt,isEnd);
	});
	
	//已完结事件
	document.getElementById('finished').addEventListener('tap', function(){
		withIt = false, isEnd = true;
		taskVue.resetData();
		page = 1;
		mui('#scroll').pullRefresh().enablePullupToRefresh(); 
		getTask(withIt,isEnd);
	});
	
	//列表页跳转
	mui('.mui-table-view').on('tap', '.mui-table-view-cell', function() {
		var guid = this.getAttribute('data-guid');
		common.openWebPage('taskFlowInfo.html', 'taskFlowInfo.html', {
			guid:guid
		}, false, '', '', 'slide-in-right');
	});
});
 
 function getDefaultData(){ 
	return {
        items: []
        ,isData: false
	}
}
 var taskVue = new Vue({
    el: '#task'
    ,data: {
        items: []
        ,isData: false
    }
    ,methods: {
		resetData: function() {//重置数据
			Object.assign(this.$data, getDefaultData());
		}
	}
});
function getTask(withIt, isEnd){
	var postData = {
		token: user.getToken()
		,withIt: withIt  //是否该我处理
		,isEnd: isEnd  // isEnd:是否结束
		,status: null    // status: 0-未处理、1-已处理、-1 - 无法处理
		,page: page
		,rows: num
	}
	common.ajax({
		type: 'post'
		,url: common.ajaxDomainUrl + 'Abnormal/List'
		,data: JSON.stringify(postData)
	}, function(jsonData, status) {
		if(jsonData.succ) {
			if(jsonData.msg <= 0){
				taskVue.isData = true
			} else {
				taskVue.isData = false
			}
			pageCount = Math.ceil(jsonData.msg / num) ;
			if(page === 1){
				taskVue.items = jsonData.data;
			} else {
				taskVue.items = taskVue.items.concat( jsonData.data );
			}
			if(page >= pageCount){
				mui('#scroll').pullRefresh().endPullupToRefresh(true);
			} else {
				mui('#scroll').pullRefresh().endPullupToRefresh(false);
				page = page + 1;
			}			
			
			if(pageCount <= 1){
				mui('#scroll').pullRefresh().disablePullupToRefresh();
			}
		}else{
			mui.toast('访问错误！') 
		}
	});
}
	
mui.plusReady(function(){
	document.addEventListener('refresh', function(){
		pulldownRefresh();
	});
});