var photoobj = document.getElementById('myface');

mui('#face').on('tap', 'img', function(){
	imgService.imgUp();
});

var imgurlTxt = [];
var imgService = {
	imgUp: function() {
		var m = this;
		plus.nativeUI.actionSheet({
			cancel: "取消",
			buttons: [{
					title: "拍照"
				}
				,{
					title: "从相册中选择"
				}
			]
		}, function(e) { //1 是拍照  2 从相册中选择  
			switch(e.index) {
				case 1:
					imgService.appendByCamera();
					break;
				case 2:
					imgService.appendByGallery();
					break;
			}
		});
	}
	,appendByCamera: function() {
		var nowCount = 1;
		var imgCount = 9 - nowCount;
		if(imgCount <= 0) {
			mui.toast("已达到允许上传图片数量");
			return;
		}
		mui.toast("当前可拍" + imgCount + "张图片");

		plus.camera.getCamera().captureImage(function(e) {
			plus.io.resolveLocalFileSystemURL(e, function(entry) {
				var filePath = entry.toLocalURL();
				var name = filePath.substring(filePath.lastIndexOf('/') + 1, filePath.length);
				plus.zip.compressImage({
					src: filePath
					,dst: 'compressImg/' + name
					,overwrite: true
					,quality: 40
					,overwrite: true
					,height: "50%"
					,width: "50%"
				}, function(zip) {
					imgService.showImg(zip.target);
				}, function(zipe) {
					mui.toast('压缩失败！');
				});
			}, function(e) {
				mui.toast("读取拍照文件错误：" + e.message);
			});
		});
	}
	,appendByGallery: function() {
		var nowCount = 1;
		var imgCount = 9 - nowCount;
		if(imgCount <= 0) {
			mui.toast("已达到允许上传图片数量");
			return;
		}
		mui.toast("当前可选择" + imgCount + "张图片");
		plus.gallery.pick(function(e) {
			if(e.files.length > imgCount) {
				mui.toast('最大可上传9张图片!');
				return false;
			}
			for(var i in e.files) {
				var filePath = e.files[i];
//				console.log("源图片路径:" + filePath);
				var name = filePath.substring(filePath.lastIndexOf('/') + 1, filePath.length);
				plus.zip.compressImage({
					src: filePath
					,dst: 'compressImg/' + name
					,overwrite: true
					,quality: 40
					,overwrite: true
					,height: "50%"
					,width: "50%"
				}, function(zip) {
					imgService.showImg(zip.target);
				}, function(zipe) {
					mui.toast('压缩失败！');
				});
			}
		}, function(e) {
			mui.toast("用户取消选择图片");
		}, {
			filter: "image"
			,multiple: true
		});
	}
	,getRandomNum: function(Min, Max) {
		var Range = Max - Min;
		var Rand = Math.random();
		return(Min + Math.round(Rand * Range));
	}
	,showImg: function(imgUrl) {
		var imgTxt = '<img id="myface" src="' + imgUrl + '" width="100%"/></div>';  
		document.getElementById('face').innerHTML = imgTxt;
		imgService.upload(
			common.ajaxDomainUrl + 'Account/FaceChange'
			,imgUrl
		);
	}
	,delImg: function(dom) {
		$(dom).parent().remove();
	}
	,upload: function(server, imgUrl) {
		var task = plus.uploader.createUpload(server, {
			method: "POST",
			blocksize: 204800,
			priority: 100
		},function(t, status) { //上传完成
				if(status === 200) {
					return true;
				} else {
					return false;
				}
			}
		);
		task.addFile(imgUrl, {
        	key: 'uploadFile1'
        }); 
		task.addData('token', user.getToken());
		task.start();
	}
}
